##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AxiMemTester.yaml

AxiMemTester: &AxiMemTester
  name: AxiMemTester
  description: AXI4 Memory Tester Module
  class: MMIODev
  configPrio: 1
  size: 0x1000
  children:
    Passed:
      at:
        offset: 0x100
      class: IntField
      name: Passed
      mode: RO
      lsBit: 0
      sizeBits: 1
      description: Passed Memory Test
    Failed:
    #########################################################
      at:
        offset: 0x104
      class: IntField
      name: Failed
      mode: RO
      lsBit: 0
      sizeBits: 1
      description: Failed Memory Test
    WriteTimer:
    ######################################################### 
      at:
        offset: 0x108
      class: IntField
      name: WriteTimer
      mode: RO
      lsBit: 0
      sizeBits: 32
      description: Write Timer
    ReadTimer:
    #########################################################   
      at:
        offset: 0x10C
      class: IntField
      name: ReadTimer
      mode: RO
      lsBit: 0
      sizeBits: 32
      description: Read Timer
    StartAddress:
    #########################################################   
      at:
        offset: 0x110
      class: IntField
      name: StartAddress
      mode: RO
      lsBit: 0
      sizeBits: 64
      description: Start Address
    StopAddress:
    #########################################################    
      at:
        offset: 0x118
      class: IntField
      name: StopAddress
      mode: RO
      lsBit: 0
      sizeBits: 64
      description: Stop Address
    ADDR_WIDTH_C:
    #########################################################   
      at:
        offset: 0x120
      class: IntField
      name: ADDR_WIDTH_C
      mode: RO
      lsBit: 0
      sizeBits: 32
      description: AXI4 Address Bus Width (units of bits)
    DATA_BYTES_C:
    #########################################################   
      at:
        offset: 0x124
      class: IntField
      name: DATA_BYTES_C
      mode: RO
      lsBit: 0
      sizeBits: 32
      description: AXI4 Data Bus Width (units of bits)
    ID_BITS_C:
    #########################################################  
      at:
        offset: 0x128
      class: IntField
      name: ID_BITS_C
      mode: RO
      lsBit: 0
      sizeBits: 32
      description: AXI4 ID Bus Width (units of bits)
